Bug 254917 - devel/valgrind: fails to patch after 4395c84
Summary: devel/valgrind: fails to patch after 4395c84
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 13:22 UTC by ice
Modified: 2021-04-12 17:39 UTC (History)
2 users (show)

See Also:
pjfloyd: maintainer-feedback+


Attachments
Remove patches and files directory (24.46 KB, patch)
2021-04-10 06:16 UTC, Paul Floyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ice 2021-04-09 13:22:30 UTC
$ git status
On branch main
Your branch is up to date with 'origin/main'.

nothing to commit, working tree clean
$ git describe
10-eol-82193-g9218ea6fff76
$ sudo make patch
===>  License GPLv2 accepted by the user
===>   valgrind-devel-3.17.0.g20210319,1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by valgrind-devel-3.17.0.g20210319,1 for building
===>  Extracting for valgrind-devel-3.17.0.g20210319,1
=> SHA256 Checksum OK for paulfloyd-freebsd_valgrind-freebsd-3.17.0.g20210319-d333c54_GH0.tar.gz.
===>  Patching for valgrind-devel-3.17.0.g20210319,1
===>  Applying FreeBSD patches for valgrind-devel-3.17.0.g20210319,1 from /usr/ports/devel/valgrind/files
1 out of 1 hunks failed--saving rejects to VEX/auxprogs/genoffsets.c.rej
===>  FAILED Applying FreeBSD patch-VEX_auxprogs_genoffsets.c
===> FAILED to apply cleanly FreeBSD patch(es)  patch-VEX_auxprogs_genoffsets.c
*** Error code 1
Comment 1 Niclas Zeising freebsd_committer 2021-04-09 13:34:49 UTC
I'm not the maintainer of valgrind any more, over to maintainer.
Comment 2 Paul Floyd 2021-04-09 14:08:36 UTC
(In reply to ice from comment #0)

Can you just remove the files directory and rerun make?

It was probably a mistake on my part to "rm -rf files" rather than "svn delete files/*" before generating the last patch.
Comment 3 ice 2021-04-09 14:53:45 UTC
Yep, that works.
Comment 4 Paul Floyd 2021-04-09 15:39:46 UTC
(In reply to ice from comment #3)
OK, I'll try to add a new patch this weekend.

Sorry for the inconvenience, I'm a newbie maintainer.
Comment 5 ice 2021-04-09 16:07:50 UTC
No worries. Thanks for sorting it out.
Comment 6 Paul Floyd 2021-04-10 06:16:36 UTC
Created attachment 223973 [details]
Remove patches and files directory

This should fix building this port.

In case the patch doesn't apply. devel/valgrind/files and all its contents need to be removed.
Comment 7 ice 2021-04-10 07:47:52 UTC
Works nicely.
Comment 8 commit-hook freebsd_committer 2021-04-10 15:39:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ee96b39b9f7f02e108cf5775862396bbbfaf2133

commit ee96b39b9f7f02e108cf5775862396bbbfaf2133
Author:     Paul Floyd <pjfloyd@wanadoo.fr>
AuthorDate: 2021-04-10 15:37:20 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-04-10 15:39:18 +0000

    devel/valgrind: Remove unneeded patches

    PR:             254917
    Reported by:    ice@extreme.hu

 devel/valgrind/files/accept4_syscall.patch (gone)  |  56 -----
 devel/valgrind/files/extra-patch-ino64 (gone)      | 239 ---------------------
 devel/valgrind/files/jail_syscalls.patch (gone)    |  87 --------
 devel/valgrind/files/kldload_syscalls.patch (gone) | 127 -----------
 devel/valgrind/files/missing_fcntls.patch (gone)   |  54 -----
 .../files/patch-VEX_auxprogs_genoffsets.c (gone)   |  11 -
 devel/valgrind/files/patch-configure.ac (gone)     |  21 --
 .../files/patch-coregrind-m_debuglog.c (gone)      |  13 --
 ...egrind-m_syswrap-syswrap-amd64-freebsd.c (gone) |  30 ---
 .../files/patch-include__vki__vki-freebsd.h (gone) |  34 ---
 10 files changed, 672 deletions(-)
Comment 9 commit-hook freebsd_committer 2021-04-12 17:39:34 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cee6d95d3afd52263f24976e96c989d7e6ab7707

commit cee6d95d3afd52263f24976e96c989d7e6ab7707
Author:     Paul Floyd <pjfloyd@wanadoo.fr>
AuthorDate: 2021-04-10 15:37:20 +0000
Commit:     Jung-uk Kim <jkim@FreeBSD.org>
CommitDate: 2021-04-12 17:25:58 +0000

    devel/valgrind: Remove unneeded patches

    PR:             254917
    Reported by:    ice@extreme.hu

    (cherry picked from commit ee96b39b9f7f02e108cf5775862396bbbfaf2133)

 devel/valgrind/files/accept4_syscall.patch (gone)  |  56 -----
 devel/valgrind/files/extra-patch-ino64 (gone)      | 239 ---------------------
 devel/valgrind/files/jail_syscalls.patch (gone)    |  87 --------
 devel/valgrind/files/kldload_syscalls.patch (gone) | 127 -----------
 devel/valgrind/files/missing_fcntls.patch (gone)   |  54 -----
 .../files/patch-VEX_auxprogs_genoffsets.c (gone)   |  11 -
 devel/valgrind/files/patch-configure.ac (gone)     |  21 --
 .../files/patch-coregrind-m_debuglog.c (gone)      |  13 --
 ...egrind-m_syswrap-syswrap-amd64-freebsd.c (gone) |  30 ---
 .../files/patch-include__vki__vki-freebsd.h (gone) |  34 ---
 10 files changed, 672 deletions(-)